
/*$(document).ready(function(){*/

$(document).ready(function(){
    //$(".number").prettynumber();   

  // MAPAS
  $("path[data-target='#departamento']").click(function(e) {
    var getid = $(this).attr("data-target");
    console.log(getid);
    var thisleft = $(this).offset().left;
    var thistop = $(this).offset().top;
    var thiswidth = $(this).width();
    var thisheight = $(this).height();
    var idwidth = $(getid).width();
    var idheight = $(getid).height();
    console.log(thisleft);
    $(getid + " .modal-content").css({left: thisleft - Number(idwidth/2) + Number(thiswidth/2), top: thistop - Number(idheight/2) + Number(thisheight), opacity:1});
  });

  $("path[data-target='#departamento']").on('click',function(){
    //$(this).addClass('region-selected');
    if ($(this).hasClass('region-selected') ) {
      $(this).removeClass('region-selected');
    } else {
      $('path.region-selected').removeClass('region-selected');
      $(this).addClass('region-selected');    
    }
    var $departamento = $(this).attr('data-region');
    var valorMapa = $(this).attr('data-valor');
    $(".modal-body h6").html($departamento);
    $(".modal-body span").attr('data-input', $departamento);
    $(".modal-body span").on('click',function(){
      $('#ubicacion').val($departamento);
      $('#departamento').modal('toggle'); 

      $('#ubicacion').val(valorMapa);
      procesar(valorMapa);
    });
  });

  $("#departamento").on('hidden.bs.modal', function(){
    var region_selected = $('.region-selected');
    var region_selected_data = region_selected.attr('data-region');
    var ubicacion_input = $('#ubicacion').val();
    if( (ubicacion_input=='') ){
      $("path[data-target='#departamento']").removeClass('region-selected');
    } 
  });

});


function financial(x) {
  return Number.parseFloat(x).toFixed(2);
}


$("#calcularAhorro").validate({
  rules: {
      txtpotenciaCarga: {
          required: true,
          minlength: 2,
          number:true
      },
      txtespaccioIns: {
          required: true,
          minlength: 2,
          number:true
      },
      message: "required"
  },
  messages: {
    txtpotenciaCarga: "Por favor ingrese la Potencia de Carga",
    txtespaccioIns: "Por favor ingrese Espacio Disponible",
    telefono: "Por favor ingrese su teléfono",
    departamento: { valueNotEquals: "Por favor seleccione un departamento" },
    colegio: "Por favor ingrese su colegio",
    egreso: "Por favor ingrese su año de egreso",
    interes:"Por favor seleccione",
    terminos: "Por favor seleccione el término",
    message: "Please enter a short message, what your inquiry is about",
    carrera:{ valueNotEquals: "Por favor seleccione una carrera"},
    reto:{ valueNotEquals: "Por favor seleccione un reto"}
  },
  errorPlacement: function(error, element) {
   if (element.attr("name") == "interes" ){
      error.insertAfter(".interes");
   }else if (element.attr("name") == "terminos" ){          
      error.insertAfter(".termino");
   }else{
     error.insertAfter(element);
   }       
  },
  submitHandler: function(form) {
    btnCalcular();
  }
});


$("#enviarCorreo").validate({
  rules: {
      txtnombre: {
          required: true,
          minlength: 2
    },
      txtCorreo: {
          required: true,
          minlength: 5,
          email:true
      },
       txtTelefono: {
          required: true,
          minlength: 7,
          number:true
      },
      txtEmpresa: {
          required: true,
          minlength: 2
      },
      message: "required"
  },
  messages: {
    txtnombre: "Por favor ingrese nombres y apellidos",
    txtCorreo: "Por favor ingrese correo",
    txtTelefono: "Por favor ingrese  teléfono",
    txtEmpresa: "Por favor ingrese empresa",
    message: "Please enter a short message, what your inquiry is about",
  },
  errorPlacement: function(error, element) {
     error.insertAfter(element);
  },
  submitHandler: function(form) {
    btnEnviar();
  }
});



function btnEnviar(){ 
  event.preventDefault();
  $('#paso1').css("display", "none");
  $('#paso2').css("display", "none");
  $('#paso3').css("display", "none");
  var txtpotenciaCarga = $("#txtpotenciaCarga").val();
  var txtespaccioIns = $("#txtespaccioIns").val();
  var cmbModalidad = $("#cmbModalidad").val();


  var txtnombre = $("#txtnombre").val();
  var txtCorreo = $("#txtCorreo").val();
  var txtTelefono = $("#txtTelefono").val();
  var txtEmpresa = $("#txtEmpresa").val();

    $.ajax({
        url:'proceso.php',
        type: 'POST',
        data: {
          txtpotenciaCarga:txtpotenciaCarga,
          txtespaccioIns:txtespaccioIns,
          cmbModalidad:cmbModalidad,
          txtnombre:txtnombre,
          txtCorreo:txtCorreo,
          txtTelefono: txtTelefono,
          txtEmpresa: txtEmpresa
        }
      })
      .done(function(e) {
       alert(e);
        if(e == 1){
           $('#paso4').css("display", "none");
           $('#paso5').css("display", "block");
        }
      })
      .fail(function(e) {
        console.log("error");
      })
      .always(function(e) {
        console.log("complete");
      });

}

 /*   $("#next").click(function(){  
        if($("#enviarCorreo").valid()){  
           btnEnviar();
        } else { alert("no listo");
        }
    });*/


function procesar(){
  $('#paso1').css("display", "none");
  $('#paso2').css("display", "block");
}


$("#calcularAhorro").validate({
  rules: {
      txtpotenciaCarga: {
          required: true,
          minlength: 2,
          number:true
      },
      txtespaccioIns: {
          required: true,
          minlength: 2,
          number:true
      },
      message: "required"
  },
  messages: {
    txtpotenciaCarga: "Por favor ingrese la Potencia de Carga",
    txtespaccioIns: "Por favor ingrese Espacio Disponible",
    telefono: "Por favor ingrese su teléfono",
    departamento: { valueNotEquals: "Por favor seleccione un departamento" },
    colegio: "Por favor ingrese su colegio",
    egreso: "Por favor ingrese su año de egreso",
    interes:"Por favor seleccione",
    terminos: "Por favor seleccione el término",
    message: "Please enter a short message, what your inquiry is about",
    carrera:{ valueNotEquals: "Por favor seleccione una carrera"},
    reto:{ valueNotEquals: "Por favor seleccione un reto"}
  },
  errorPlacement: function(error, element) {
   if (element.attr("name") == "interes" ){
      error.insertAfter(".interes");
   }else if (element.attr("name") == "terminos" ){          
      error.insertAfter(".termino");
   }else{
     error.insertAfter(element);
   }       
  },
  submitHandler: function(form) {
    btnCalcular();
  }
});


function btnCalcular(){
  event.preventDefault();
 var valor=$("#ubicacion").val();
  $('#paso1').css("display", "none");
  $('#paso2').css("display", "none");
  $('#paso3').css("display", "block");


  var valorModalidad;
  var cmbModalidad=$("#cmbModalidad").val();
  var potenciaCarga=$("#txtpotenciaCarga").val();
  var espacioInsta=$("#txtespaccioIns").val();


  var cantidadModulos=(espacioInsta/2)*0.8;
  var potenciaFotoVoltaica=(cantidadModulos*410/1000)*1.25;
  var energiaFotoVoltaicaDiaria=potenciaFotoVoltaica*valor;
  var energiaFotoVoltaicaAnual=(energiaFotoVoltaicaDiaria*365)/1000;

  if (cmbModalidad == "Libre"){
      valorModalidad=0.126305;
  }else if(cmbModalidad == "Regulado"){   
      valorModalidad=0.2948;
  }

  var ahorroEnergiaFotovoltaica= energiaFotoVoltaicaDiaria*(valorModalidad*365);

  var tnC02=energiaFotoVoltaicaAnual*0.412;


  $("#energiaFotoVoltaicaAnual").html(energiaFotoVoltaicaAnual);
  $('#energiaFotoVoltaicaAnual__formateo').html(financial(energiaFotoVoltaicaAnual));


  $("#ahorroEnergiaFotovoltaica").html(ahorroEnergiaFotovoltaica);
  $('#ahorroEnergiaFotovoltaica__formateo').html(financial(ahorroEnergiaFotovoltaica));
  
  $("#cantidadModulos").html(cantidadModulos);
  $('#cantidadModulos__formateo').html(Math.round(cantidadModulos));

  $("#tnC02").html(tnC02);
  $('#tnC02__formateo').html(Math.round(tnC02));

  $("#potenciaFotoVoltaica").html(potenciaFotoVoltaica);
  $('#potenciaFotoVoltaica__formateo').html(Math.round(potenciaFotoVoltaica));
}
  

function btnMeinteresa(){
   event.preventDefault();
  $('#paso1').css("display", "none");
  $('#paso2').css("display", "none");
  $('#paso3').css("display", "none");
  $('#paso4').css("display", "block");
}
